#ifndef FLYTHUMBNAILS_H
#define FLYTHUMBNAILS_H

#include <QStringList>
#include <QtGlobal>

#if defined(FLY_THUMBNAILS_LIBRARY)
#  define FLY_THUMBNAILS_EXPORT Q_DECL_EXPORT
#else
#  define FLY_THUMBNAILS_EXPORT Q_DECL_IMPORT
#endif

class FlyThumbnailsPrivate;

class FLY_THUMBNAILS_EXPORT FlyThumbnails
{
public:
    ~FlyThumbnails();

    enum Size { Normal, Large, Fail };
    static QString thumbnailPath(const QString& filePath, Size size = Normal, const QString& fileMimeType = QString());
    static QStringList supportedMimeTypes();

    struct MimeTypeGroup
    {
        QString id;
        QString description;
        QStringList mimeTypes;
    };

    static QList<MimeTypeGroup> mimeTypeGroups();

    static bool isMimeTypeFromGroup(const QString& mimeType, const QString& groupId);

private:
    FlyThumbnails();
    static FlyThumbnails* instance();
    FlyThumbnailsPrivate* d;
};

#endif
